Bug 1945677 - Need ACM Managed Cluster Info metric enabled for OCP monitoring telemetry
Summary: Need ACM Managed Cluster Info metric enabled for OCP monitoring telemetry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Telemeter
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Joydeep Banerjee
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1956565
TreeView+ depends on / blocked
 
Reported: 2021-04-01 15:50 UTC by Joydeep Banerjee
Modified: 2021-07-27 22:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1956565 (view as bug list)
Environment:
Last Closed: 2021-07-27 22:57:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1102 0 None open Bug 1945677: manifest allowlist: add acm_managed_cluster_info 2021-04-02 09:32:29 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:57:42 UTC

Description Joydeep Banerjee 2021-04-01 15:50:52 UTC
Description of problem:

This issue is not for a bug.  To enable a metric from ACM - acm_managed_cluster_info for OCP monitoring telemetry, we need to open a PR against the openshift/cluster-monitoring-operator manifest allowlist.  The monitoring team's process, though, requires that the PR be associated with a Bugzilla issue number.  This metric provides Subscription watch and other information for the managed clusters for an ACM Hub cluster.

Detailed description of this metric is here: https://docs.google.com/document/d/1uvCk73lWQ-LGqFNla6IMRuur5Fj6q59Y2UMpGK5AaWs/edit?usp=sharing


Version-Release number of selected component (if applicable):

Since we will support an OCP hub cluster on version 4.5, 4.6 and 4.7, we would like this metric to be included and back-ported as necessary to z-stream releases where possible.

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Junqi Zhao 2021-04-20 02:38:10 UTC
tested with 4.8.0-0.nightly-2021-04-19-121657, acm_managed_cluster_info is in telemetry-config configmap
# oc -n openshift-monitoring get cm telemetry-config -o jsonpath="{.data.metrics\.yaml}" | grep {__name__= | grep acm_managed_cluster_info
- '{__name__="acm_managed_cluster_info"}'

but I think we still need a telemeter PR for the metrics

Comment 7 lserven 2021-05-11 12:29:54 UTC
That's correct, we need to bump the generated allow-list for the backend service as well. This allow-list now lives in GitHub rather than behind the VPN. It is in the https://github.com/rhobs/configuration repo. A PR to bump this is here: https://github.com/rhobs/configuration/pull/7

Once merged, we need to roll out the new configuration to production.

Comment 11 Joydeep Banerjee 2021-05-25 15:45:33 UTC
Tested this against quay.io/openshift-release-dev/ocp-release:4.8.0-fc.5-x86_64. Found out that the :
telemeter client has this metrics added
the metrics is available in prometheus
but cannot see this in telemeter grafana dashboard yet (using data source = recent, recent-stage).

lserven@redhat.com confirmed that we are waiting for the backend Telemeter server changes has been mereged but the roll out to production got delayed. Expected to happen soon. Will wait for that before closing this.

Comment 13 Junqi Zhao 2021-06-25 05:16:43 UTC
(In reply to Joydeep Banerjee from comment #11)
> Tested this against
> quay.io/openshift-release-dev/ocp-release:4.8.0-fc.5-x86_64. Found out that
> the :
> telemeter client has this metrics added
> the metrics is available in prometheus
> but cannot see this in telemeter grafana dashboard yet (using data source =
> recent, recent-stage).
> 
> lserven@redhat.com confirmed that we are waiting for the backend Telemeter
> server changes has been mereged but the roll out to production got delayed.
> Expected to happen soon. Will wait for that before closing this.

see Comment 10, we need to roll out the new configuration to production, please wait

Comment 16 errata-xmlrpc 2021-07-27 22:57:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.